Run tests only on x86_64

Resolves: RHEL-27178

Signed-off-by: Tomáš Hozza <thozza@redhat.com>
This commit is contained in:
Tomáš Hozza 2024-07-23 16:40:58 +02:00
parent d31265e606
commit 1dbc7a90ff
No known key found for this signature in database
GPG Key ID: C5887AD51D9F3C2D
5 changed files with 19 additions and 2 deletions

View File

@ -9,7 +9,7 @@ Version: 122
%global pkgdir %{_prefix}/lib/%{pypi_name}
Name: %{pypi_name}
Release: 1%{?dist}
Release: 2%{?dist}
License: Apache-2.0
URL: %{forgeurl}
@ -286,6 +286,9 @@ fi
%{_libexecdir}/osbuild-depsolve-dnf
%changelog
* Tue Jul 23 2024 Tomáš Hozza <thozza@redhat.com> - 122-2
- Run tests only on x86_64
* Thu Jul 04 2024 imagebuilder-bot <imagebuilder-bots+imagebuilder-bot@redhat.com> - 122-1
- New upstream release

View File

@ -8,3 +8,5 @@ discover:
filter: tag:integration-test
execute:
how: tmt
provision:
arch: x86_64

View File

@ -10,3 +10,5 @@ discover:
filter: tag:unit-test
execute:
how: tmt
provision:
arch: x86_64

View File

@ -11,7 +11,9 @@ fi
# ensure that we are running on x86_64 architecture
if [ "$(uname -m)" != "x86_64" ]; then
echo "Error: this script is only supported on x86_64 architecture"
exit 1
# NB: we are not failing here, because Testing Farm ignores the 'arch' field in the test plan spec
# See https://docs.testing-farm.io/Testing%20Farm/0.1/test-request.html#architectures
exit 0
fi
. /etc/os-release

View File

@ -5,6 +5,14 @@ set -euxo pipefail
source /etc/os-release
# ensure that we are running on x86_64 architecture
if [ "$(uname -m)" != "x86_64" ]; then
echo "Error: this script is only supported on x86_64 architecture"
# NB: we are not failing here, because Testing Farm ignores the 'arch' field in the test plan spec
# See https://docs.testing-farm.io/Testing%20Farm/0.1/test-request.html#architectures
exit 0
fi
case "${ID}" in
fedora)
PKG_MAINT_TOOL="fedpkg"